Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Teamviewer9 multiarch v Kde Neon 18.04 64bit - nefunkční  (Přečteno 626 krát)

Beetljuice

  • Stálý člen
  • ***
  • Příspěvků: 833
    • Zobrazit profil
Zdravím všechny. Nepoužívá prosím někdo Teamviewer ve verzi 9 v Ubuntu 18.0464bit? Instalace projde normálně, ale teamviewer se nikdy nespustí. Daemon běží. Teamviewer 13 funguje normálně, ale na tu bohužel nemáme licenci. Používám Kde Neon 64bit které běží na Ubuntu 18.04. Dík
Aj dont spíík ííngliš :)

JN30

  • Návštěvník
  • *
  • Příspěvků: 6
    • Zobrazit profil
Re:Teamviewer9 multiarch v Kde Neon 18.04 64bit - nefunkční
« Odpověď #1 kdy: 21 Únor 2020, 00:25:18 »
Dobrý den,  na notebooku mám Ubuntu 18.04. Tam mi TeamViewer v aktuální verzi 15.2 funguje bez problému. Instalaci jsem provedl ze staženého souboru z

 https://www.teamviewer.com/cs/stahnout/linux/.

Na starším PC mám Ubuntu 14.04 a tam jsem narazil na problém se spojením. Instalace vždy proběhla  korektně i spuštění programu, ale nešlo se spojit s PC s verze TeamVieweru 12.2 a 13.2 z např. mobilu s hlášení "Chybí cesta".  Pokusil jsem se tedy spojit z notebooku a tam se objevilo hlášení v obou případech zastaralá nepodporovaná verze. Zkusil jsem tedy nainstalovat TeamViewer verzi 14.7, ale tam se instalace zastavila s chybou závislosti "libqt5gui5 qt56-teamviewer". 


Zde:

https://community.teamviewer.com/t5/Linux/Teamviewer-14-2-2558-won-t-install-on-Ubuntu-14-04/td-p/57863

jsem se dozvěděl, že jde o závislost  na qt5 , přičemž 14.04 obsahuje qt4. Hledal jsem dál na internetu návod jak na Ubuntu 14.04 dostat TeamViewer. Našel jsem tento návod:

http://linuxg.net/how-to-install-teamviewer-14-on-ubuntu-via-repository/.

Ten nakonec pomohl. Uvádí se zde, že pro Ubuntu 18.04 a 18.10 je k dispozici na úložišti. Tedy je nutné stáhnout a nainstalovat klíč a aktualizovat zdroje a následně nainstalovat balíček. To zabralo.  Instalace bez chyb a běží mi verze 15.2 bez potíží. Ještě nejdříve jak se uvádí, nutné odebrat původní nefunkční verzi a všech pozůstatků dle


https://iqbalnaved.wordpress.com/2014/01/04/installing-teamviewer-9-on-64-bit-ubuntu-13-10/.

Mě se podařilo rovnou přeinstalovat na novější verzi bez manuální odinstalace předchozí. Vše korektně v terminálu.

Odinstalace:

Kód: [Vybrat]
apt-get purge teamviewer
nebo pomocí dpkg

Kód: [Vybrat]
dpkg -r --force teamviewer
Poté zkontrolujte odstranění zbytků: ~/. local/share/teamviewer, [/size]~/.config/teamviewer a /etc/teamviewer
[/size]
Kód: [Vybrat]
rm -r ~/. local/share/teamviewer
rm -r ~/.config/teamviewer
sudo rm -r /etc/teamviewer

Ve Ubuntu 14.10 jsem nalezl pouze /.config/teamviewer
Proveďte aktualizaci

Kód: [Vybrat]
sudo apt-get update
sudo apt-get dist-upgrade

Zkontrolujte např. v Synapticu instalaci balíků popř. doinstalujte. Měl jsem nainstalováno.

Kód: [Vybrat]
sudo apt-get install libjpeg62:i386 libxinerama1:I386 libxrandr2:i386 libxtst6:i386 ca-certificates
Potom stáhněte balíček deb s architekturou i386 a nainstalujte nebo přidejte klíč do zdrojů a nainstalujete Teamviewer.

Kód: [Vybrat]
$ cd /tmp
 $ wget https://download.teamviewer.com/download/linux/signature/TeamViewer2017.asc
 $ sudo apt-key add TeamViewer2017.asc
 $ sudo sh -c 'echo "deb http://linux.teamviewer.com/deb stable main" >> /etc/apt/sources.list.d/teamviewer.list'
 $ sudo apt update
 $ sudo apt install teamviewer

Beetljuice

  • Stálý člen
  • ***
  • Příspěvků: 833
    • Zobrazit profil
Re:Teamviewer9 multiarch v Kde Neon 18.04 64bit - nefunkční
« Odpověď #2 kdy: 24 Únor 2020, 08:44:57 »
Díky za snahu, snad to někdo jiný využije  ;) Přece jen je to skoro 2roky starý příspěvek. My už jedeme na poslední verzi, která má už oficiální deb balíček.
Aj dont spíík ííngliš :)

Ventero

  • Závislák
  • ****
  • Příspěvků: 2034
    • Zobrazit profil
Re:Teamviewer9 multiarch v Kde Neon 18.04 64bit - nefunkční
« Odpověď #3 kdy: 24 Únor 2020, 09:30:40 »
Navrhuji presunout do sekce tipy a triky s prostym nazvem Teamviewer ...
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...